%define	oname	abuse
%define	name	%{oname}_sdl
%define	version	0.7.0
%define	release	7mdk
%define	Summary	The classic Crack-Dot-Com game
%define	frabsv	210

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.labyrinth.net.au/~trandor/files/%{name}-%{version}.tar.bz2
Source1:	http://www.cs.uidaho.edu/~cass0664/fRaBs/frabs%{frabsv}_unix.src.tar.bz2
#Patch0:	%{name}-nocrash-hack.patch.bz2
Patch1: 	abuse_sdl-0.7.0-debian-fixes.patch.bz2
License:	GPL
Group:		Games/Arcade
URL:		http://www.labyrinth.net.au/~trandor/abuse/
BuildRequires:	ImageMagick SDL-devel alsa-lib-devel MesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or fullscreen,
and it has stereo sound with sound panning.

%prep
%setup -q -a1
#%patch0 -p0
%patch1 -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{oname}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="More Applications/Games/Arcade" \
		  title="Abuse"\
		  longtitle="%{Summary}"
EOF

install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert %{oname}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 %{oname}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 %{oname}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

install -d $RPM_BUILD_ROOT{%{_gamesdatadir}/%{oname},%{_gamesbindir}}
mv $RPM_BUILD_ROOT%{_bindir}/%{oname}.sdl $RPM_BUILD_ROOT%{_gamesbindir}
cat > $RPM_BUILD_ROOT%{_gamesbindir}/%{oname} << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{oname}/frabs%{frabsv}_unix.src
exec %{_gamesbindir}/%{oname}.sdl -datadir %{_gamesdatadir}/%{oname}/frabs%{frabsv}_unix.src "\$@"
EOF
chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/%{oname}
cp -a frabs%{frabsv}_unix.src $RPM_BUILD_ROOT%{_gamesdatadir}/%{oname}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_gamesbindir}/*
%{_menudir}/%{name}
%{_gamesdatadir}/%{oname}
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man6/*

%changelog
* Wed Dec 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.0-7mdk
- add debian patches (P1)
- drop workaround patch (P0) as debian patch seems to really fix the problem (finally:)

* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.0-6mdk
- rebuild
- change summary macro to avoid conflicts if we were to build debug package
- fix buildrequires for lib64

* Thu Mar 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-5mdk
- Hack to workaround crash (caused by corrupted datafiles?, Patch0) FIXME
- Moved stuff around to make it easier to patch
- oops, wrong release last time.. fixed

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-4mdk
- Added libMesaGLU-devel to BuildRequires

* Sun Mar 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-3mdk
- nicer formatting
- spec cleanups
- switched to the unix frabs so we don't have to screw around with the dos version
- corrected group

* Tue Feb 11 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.0-2mdk
- rebuild

* Wed Dec 18 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.0-1mdk
- 0.7.0

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-5mdk
- add man file

* Mon Nov 11 2002 Lenny Cartier <lenny@mandrakesoft.com>  0.6.1-4mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Moved the wrapper script to %{_gamesbindir}
	- Removed Prefix tag
	- Added BuildRequires
	- Quiet setup
	- Moved abuse.sdl binary into %{_gamesbindir}, was the only file in %{_libdir}/games,
	  might as well move it into %{_gamesbindir} as other games, own dir in
	  %{_libdir} was kinda overkill
	- Moved %{_datadir}/abuse to %{_datadir}/games/abuse
	- Remove the correct files
	- Specify datadir in wrapper script, would'nt work otherwise

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-3mdk
- rebuild

* Fri May 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-2mdk
- get rid of libalsa1

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.0-2mdk
- xpm -> png icons

* Tue Jan 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Fri Jul 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-3mdk
- rebuild for new SDL

* Thu May  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-2mdk
- corrected badly lowercased files

* Tue May  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-1mdk
- first version
